version: "3"

services:
  
  nem.web:
    image: nem
    container_name: "app-ctnr"
    build:
      context: .
      dockerfile: src/Dockerfile
    ports:
      - "3000:3000"
    environment: #TODO: A Mettre dans variables Git
      - MONGODB_CONNSTRING=mongodb://lemonde:denemo@mgdb-ctnr
    volumes:
      - ./data:/app/data
    depends_on: 
      - nem.mgdb

  nem.mgdb:
    image: mongo:5.0
    container_name: "mgdb-ctnr"
    restart: always
    ports:
      - "27017:27017"
    environment: #TODO: A Mettre dans variables Git
      - MONGO_INITDB_DATABASE=pastime
      - MONGO_INITDB_ROOT_USERNAME=root 
      - MONGO_INITDB_ROOT_PASSWORD=root_password
    volumes:
      - ./data/db/mongo-volume:/mongo-volume
      - ./init-mongo.js:/docker-entrypoint-initdb.d/init-mongo.js:ro